
QGIS Application - Bug report #16123

Processing Build Virtual Raster not opening

2017-01-26 07:44 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: Tests Suite

Affected QGIS version:2.18.4 Regression?: No

Operating System: Linux Mint Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24035

Description

Trying to add the Build Virtual Raster gdal test, the algorithm works fine (output is correctly generated).

But, when trying to right click in the Processing -> History menu in order to add the test in the yaml file, this error appears:

AttributeError: 'NoneType' object has no attribute 'ReadAsArray' 

Traceback (most recent call last):

  File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/HistoryDialog.py", line 129, in createTest

    TestTools.createTest(item.entry.text)

  File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/TestTools.py", line 256, in createTest

    dataArray = nan_to_num(dataset.ReadAsArray(0))

AttributeError: 'NoneType' object has no attribute 'ReadAsArray'

Associated revisions

Revision 60a87e94 - 2018-06-01 08:20 AM - Nyall Dawson

[processing] Fix error when creating tests and raster output

no longer exists

Fixes #16123

History

#1 - 2017-03-06 03:01 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.4

- Target version set to Version 2.18

On 2.18.4 the error is different (in both cases also Windows is affected)

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/HistoryDialog.py", line 129, in createTest

    TestTools.createTest(item.entry.text)

  File "/usr/share/qgis/python/plugins/processing/gui/TestTools.py", line 234, in createTest

    dataset = gdal.Open(token, GA_ReadOnly)

  File "/usr/lib/python2.7/dist-packages/osgeo/gdal.py", line 2939, in Open

    return _gdal.Open(*args)

RuntimeError: not a string
#2 - 2017-03-06 03:02 PM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2018-06-01 08:20 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|60a87e949750b03c959b62cd5eb3b2828dfc6511.
